=== debian/changelog ===
crystal-facet-uml (1.32.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * Upstream url changed: minus instead of underscore

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Sep 2021 21:55:42 +0200

crystal-facet-uml (1.27.3-2) unstable; urgency=medium

  [ Andreas Warnke ]
  * debian/watch:
    + Adapt source download url to new location at github.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:06:57 +0200
