## crystal-facet-uml 1.34.0

=== debian/changelog ===
crystal-facet-uml (1.34.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/source/lintian-overrides:
    + Override 'inconsistent-appstream-metadata-license'.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

  [ Andreas Warnke ]
  * Upstream url changed: minus instead of underscore

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Dec 2021 16:23:24 +0100
