=== build/win/CMakeLists.txt ===
--- 
+++ 
@@ -51,6 +51,7 @@
                        ../../data/source/storage/*.c
                        ../../data/source/set/*.c
                        ../../utf8stringbuf/source/util/string/*.c
+                       ../../universal/source/*.c
                        ../../universal/source/stream/*.c
                        ../../pencil/source/*.c
                        ../../pencil/source/util/geometry/*.c
@@ -60,13 +61,16 @@
                        ../../io/source/json/*.c
                        ../../io/source/xml/*.c
                        ../../io/source/txt/*.c
+                       ../../io/source/xhtml/*.c
                        ../../io/source/xmi/*.c
                        ../../io/source/md/*.c
                        ${SQLITE_BASE}/sqlite3.c)
 FILE(GLOB appSource    ../../main/source/*.c)
 FILE(GLOB utestSource  ../../main/test/*.c
                        ../../data/test/unit/*.c
+                       ../../data/test/integration/*.c
                        ../../ctrl/test/unit/*.c
+                       ../../ctrl/test/integration/*.c
                        ../../gui/test/unit/*.c
                        ../../io/test/unit/*.c
                        ../../io/test/integration/*.c
