=== debian/changelog ===
crystal-facet-uml (1.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 22:21:03 +0100
