=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/crystal-facet-uml-$1.tar.gz/ \
https://github.com/awarnke/crystal-facet-uml/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
