## crystal-facet-uml 1.35.0

=== debian/changelog ===
crystal-facet-uml (1.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Mar 2022 22:22:02 +0100
