=== debian/changelog ===
crystal-facet-uml (1.36.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Apr 2022 20:00:58 +0200
